## GtkEventControllerMotion

GtkEventControllerMotion — Event controller for motion events

## Functions

GtkEventController * | gtk_event_controller_motion_new ()

## Signals

void | enter | Run First
void | leave | Run First
void | motion | Run First

## Types and Values

| GtkEventControllerMotion

## Object Hierarchy

        GObject
        ╰── GtkEventController
            ╰── GtkEventControllerMotion

## Includes

    #include <gtk/gtk.h>

## Description

GtkEventControllerMotion is an event controller meant for situations where you need to track the position of the pointer.

This object was added in 3.24.

## Functions

### gtk_event_controller_motion_new ()

    GtkEventController *
    gtk_event_controller_motion_new (GtkWidget *widget);

Creates a new event controller that will handle motion events for the given `widget` .

#### Parameters

widget | a GtkWidget |

#### Returns

a new GtkEventControllerMotion

Since: 3.24

## Types and Values

### GtkEventControllerMotion

    typedef struct _GtkEventControllerMotion GtkEventControllerMotion;

## Signal Details

### The `“enter”` signal

    void
    user_function (GtkEventControllerMotion *controller,
                   double                    x,
                   double                    y,
                   gpointer                  user_data)

Signals that the pointer has entered the widget.

#### Parameters

controller | The object that received the signal |
x | the x coordinate |
y | the y coordinate |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“leave”` signal

    void
    user_function (GtkEventControllerMotion *controller,
                   gpointer                  user_data)

Signals that pointer has left the widget.

#### Parameters

controller | The object that received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“motion”` signal

    void
    user_function (GtkEventControllerMotion *controller,
                   double                    x,
                   double                    y,
                   gpointer                  user_data)

Emitted when the pointer moves inside the widget.

#### Parameters

controller | The object that received the signal |
x | the x coordinate |
y | the y coordinate |
user_data | user data set when the signal handler was connected. |

Flags: Run First

## See Also

GtkEventController